> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a document

> Updates a document's properties by its unique identifier.

## Update a document

Updates a document's properties by its unique identifier.

### Path Parameters

<ParamField path name="document_id" type="integer" required>
  No description provided
</ParamField>

### Request Body

This endpoint requires a request body.

<RequestExample>
  ```json
  {
    "name": {},
    "folder_id": {},
    "owner_id": {},
    "summary": {}
  }
  ```
</RequestExample>

### Response

<ResponseField name="data" type="object">
  The response data for this endpoint.
</ResponseField>

<ResponseExample>
  ```json
  {
    "id": 123,
    "name": "string",
    "folder_id": {},
    "file_path": {},
    "file_type": "string",
    "file_url": {},
    "summary": "string",
    "visibility": "string",
    "version": 123,
    "owner_id": 123,
    "created_at": "string",
    "updated_at": "string"
  }
  ```
</ResponseExample>
